{% extends "base.html" %}
{% block title %}System clocks{% endblock %}
{% block content %}

<h2>Clock report (Linux device tree)</h2>

<table class="table">
  <thead>
    <tr>
      <th scope="col">Name</th>
      <th scope="col">Clock rate [MHz]</th>
    </tr>
  </thead>
  <tbody>

  	{% for label, device in data.items() %}
    {% if device["error"]%}
    <tr class="table-danger">
        <th scope="row">{{ label }}</th>
        <td>{{ "{:.3f}".format(device["rate"] / 1000000) }}</td>
    </tr>
    {% else %}
    <tr>
        <th scope="row">{{ label }}</th>
        <td>{{ "{:.3f}".format(device["rate"] / 1000000) }}</td>
    </tr>
    {% endif %}
    {% endfor %}

  </tbody>
</table>

{% endblock %}